
    import { getChartData, getKeyValue, getListData, getSingleYAndMoreData, getMoreYChartData, objKeyReplace }from "../util/tools";
    import { get区域融合 } from "../data/analysisExcelData";
    
    export function getData(req, res) {
        let ret:any = {};

        let excelData:any = get区域融合();
    
        ret["api1"] = getSingleYAndMoreData("各区受理量对比", excelData.各区受理量对比, false, '次');
    
        ret["api2"] = getSingleYAndMoreData("各区办结量对比", excelData.各区办结量对比, false, '次');
    
        let 一体化电网运行管理DataAndUnit = objKeyReplace(excelData.一体化电网运行管理);
        ret["api3"] =  getKeyValue("一体化电网运行管理", 一体化电网运行管理DataAndUnit.dataMap, 一体化电网运行管理DataAndUnit.unitMap, false, false );
    
        ret["api4"] = getListData("工程进度",excelData.工程进度,["工程名称","开始时间","预计完成时间","工程进度"],{"工程名称":"name","开始时间":"startTime","预计完成时间":"endTime","工程进度":"rate"});
    
        ret["api5"] = getListData("调度日志",excelData.调度日志,["状态","序号","时间","申请人","所属区域","管理单位","业务分类"],{"状态":"state","序号":"number","时间":"time","申请人":"name","所属区域":"area","管理单位":"department","业务分类":"type"});
    
        ret["api6"] = getSingleYAndMoreData("电网作业风险事件", excelData.电网作业风险事件, false, 'false');
    
        let 一体化新型电力系统DataAndUnit = objKeyReplace(excelData.一体化新型电力系统);
        ret["api7"] =  getKeyValue("一体化新型电力系统", 一体化新型电力系统DataAndUnit.dataMap, 一体化新型电力系统DataAndUnit.unitMap, false, false );
    
        let 线路负荷率DataAndUnit = objKeyReplace(excelData.线路负荷率);
        ret["api8"] =  getKeyValue("线路负荷率", 线路负荷率DataAndUnit.dataMap, 线路负荷率DataAndUnit.unitMap, false, false );
    
        let 企业客户_一码通识_DataAndUnit = objKeyReplace(excelData.企业客户_一码通识_);
        ret["api9"] =  getKeyValue("企业客户“一码通识”", 企业客户_一码通识_DataAndUnit.dataMap, 企业客户_一码通识_DataAndUnit.unitMap, false, false );
    
        let 用电状态可_分色识别_DataAndUnit = objKeyReplace(excelData.用电状态可_分色识别_);
        ret["api10"] =  getKeyValue("用电状态可“分色识别”", 用电状态可_分色识别_DataAndUnit.dataMap, 用电状态可_分色识别_DataAndUnit.unitMap, false, false );
    
        let 针对性供电服务_随码跟进_DataAndUnit = objKeyReplace(excelData.针对性供电服务_随码跟进_);
        ret["api11"] =  getKeyValue("针对性供电服务“_随码跟进”", 针对性供电服务_随码跟进_DataAndUnit.dataMap, 针对性供电服务_随码跟进_DataAndUnit.unitMap, false, false );
    
        let 营商业务便利性DataAndUnit = objKeyReplace(excelData.营商业务便利性);
        ret["api12"] =  getKeyValue("营商业务便利性", 营商业务便利性DataAndUnit.dataMap, 营商业务便利性DataAndUnit.unitMap, false, false );
    
        let 供电可靠性DataAndUnit = objKeyReplace(excelData.供电可靠性);
        ret["api13"] =  getKeyValue("供电可靠性", 供电可靠性DataAndUnit.dataMap, 供电可靠性DataAndUnit.unitMap, false, false );
    
        let 营商业务及时性DataAndUnit = objKeyReplace(excelData.营商业务及时性);
        ret["api14"] =  getKeyValue("营商业务及时性", 营商业务及时性DataAndUnit.dataMap, 营商业务及时性DataAndUnit.unitMap, false, false );
    
        // let 业务三地对标DataAndUnit = objKeyReplace(excelData.业务三地对标);
        // ret["api15"] =  getKeyValue("业务三地对标", 业务三地对标DataAndUnit.dataMap, 业务三地对标DataAndUnit.unitMap, false, false );

        let 嘉善县DataAndUnit = objKeyReplace(excelData.嘉善县);
        ret["api16"] =  getKeyValue("嘉善县",  嘉善县DataAndUnit.dataMap,  嘉善县DataAndUnit.unitMap, false, false );
        let 吴江区DataAndUnit = objKeyReplace(excelData.吴江区);
        ret["api17"] =  getKeyValue("吴江区",  吴江区DataAndUnit.dataMap,  吴江区DataAndUnit.unitMap, false, false );
        let 青浦区DataAndUnit = objKeyReplace(excelData.青浦区);
        ret["api18"] =  getKeyValue("青浦区",  青浦区DataAndUnit.dataMap,  青浦区DataAndUnit.unitMap, false, false );

        ret["api19"] = getListData("值班管理", excelData.值班管理, ["名称", "是否到岗"] , {"名称":"name", "是否到岗":"state"});
        

        let 地图链接数据 = { 
            title: "地图链接",
            subTitle : "地图链接",
            total : 0,
            list : []
        };
        for (let key in excelData.地图链接) {
            地图链接数据.list.push({"key":key, "value": excelData.地图链接[key] });
        }
        ret["api20"] = 地图链接数据;
        
        for (let key in  excelData.营商业务互动性) {
            excelData.营商业务互动性[key] = "";
        }
        ret["api21"] = getKeyValue("营商业务互动性", excelData.营商业务互动性, false, false,false);


        res.send(ret);
    }
    